Debian Bug report logs - #192673
ITA: elvis -- A much improved "vi" editor with syntax highlighting.

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 9 May 2003 16:19:02 UTC

Severity: normal

Fixed in version elvis/2.2j-1

Done: Georg Neis <georg@fli4l.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#192673; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Martin Mitchell <martin@debian.org>
Subject: O: elvis -- A much improved "vi" editor with syntax highlighting.
Date: Sat, 10 May 2003 02:10:10 +1000
Package: wnpp
Severity: normal

The current maintainer of elvis, Martin Mitchell <martin@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: elvis
Binary: elvis
Version: 2.1.4-4.2
Priority: optional
Section: editors
Maintainer: Martin Mitchell <martin@debian.org>
Build-Depends: libncurses-dev, xlibs-dev | xlib6g-dev, debhelper (>= 2.0.40)
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/e/elvis
Files: 2f0d899a950f6230dbd6cd8763e69fe3 653 elvis_2.1.4-4.2.dsc
 57b17e9e477ca932846b56b6aa08d5b0 1052035 elvis_2.1.4.orig.tar.gz
 cbd2d60743ee2fac2cd104fe5481f488 10005 elvis_2.1.4-4.2.diff.gz

Package: elvis
Priority: optional
Section: editors
Installed-Size: 1492
Maintainer: Martin Mitchell <martin@debian.org>
Architecture: i386
Version: 2.1.4-4.2
Replaces: elvisctags
Provides: editor, ctags
Depends: libc6 (>= 2.2.4-4), libncurses5 (>= 5.2.20020112a-1), xlibs (>> 4.1.0)
Conflicts: elvisctags, elviscmn, elvisnox, elvisx11, elv-vi
Filename: pool/main/e/elvis/elvis_2.1.4-4.2_i386.deb
Size: 505646
MD5sum: 2ccdb9b200635ec8bf53bc8fd68bc7c1
Description: A much improved "vi" editor with syntax highlighting.
 Elvis is a clone of vi/ex, the standard UNIX editor. Elvis supports
 nearly all of the vi/ex commands, in both visual mode and ex mode.
 Elvis adds support for multiple files, multiple windows, a variety
 of display modes, on-line help, and other miscellaneous extensions.
 Because of its html mode, and it ability to do http and ftp, it can now
 also be used as a poor man's web browser!
 .
 Elvis provides color syntax highlighting, with syntax modes for C, C++,
 Java, awk, makefiles, Perl, PostScript, Pascal, sh, Tcl, vrml, html,
 diffs, man pages, and Fortran. If all this isn't enough for you, it is
 easy to add new syntax modes (additions are welcome!). Elvis also has a
 special hex editing mode for directly editing binary data.
 .
 This version of elvis also includes ctags and ref, for quickly navigating
 about your source code.

Justification: Neglected many packages for a long time, didn't respond to pings

-- 
Martin Michlmayr
tbm@cyrius.com



Changed Bug title. Request was from Georg Neis <georg.neis@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#192673; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Adam Majer" <adamm@galacticasoftware.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #12 received at 192673@bugs.debian.org (full text, mbox):

From: "Adam Majer" <adamm@galacticasoftware.com>
To: Georg Neis <georg.neis@gmx.de>
Cc: 192673@bugs.debian.org
Subject: Elvis ITA
Date: Sat, 20 Sep 2003 01:38:33 -0500
Hi,

Are you still interrested in adopting elvis? If not, please
retitle the bug to O:...

- Adam



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#192673; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Georg Neis <georg@fli4l.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #17 received at 192673@bugs.debian.org (full text, mbox):

From: Georg Neis <georg@fli4l.de>
To: Adam Majer <adamm@galacticasoftware.com>
Cc: 192673@bugs.debian.org
Subject: Re: Elvis ITA
Date: Sat, 20 Sep 2003 10:30:07 +0200
* Adam Majer <adamm@galacticasoftware.com> wrote:
> Are you still interrested in adopting elvis?

Yes.

Gruß, Georg



Reply sent to Georg Neis <georg@fli4l.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 192673-close@bugs.debian.org (full text, mbox):

From: Georg Neis <georg@fli4l.de>
To: 192673-close@bugs.debian.org
Subject: Bug#192673: fixed in elvis 2.2j-1
Date: Sun, 18 Jan 2004 13:02:36 -0500
Source: elvis
Source-Version: 2.2j-1

We believe that the bug you reported is fixed in the latest version of
elvis, which is due to be installed in the Debian FTP archive:

elvis_2.2j-1.diff.gz
  to pool/main/e/elvis/elvis_2.2j-1.diff.gz
elvis_2.2j-1.dsc
  to pool/main/e/elvis/elvis_2.2j-1.dsc
elvis_2.2j-1_i386.deb
  to pool/main/e/elvis/elvis_2.2j-1_i386.deb
elvis_2.2j.orig.tar.gz
  to pool/main/e/elvis/elvis_2.2j.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 192673@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Georg Neis <georg@fli4l.de> (supplier of updated elvis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 07 Oct 2003 15:42:00 +0200
Source: elvis
Binary: elvis
Architecture: source i386
Version: 2.2j-1
Distribution: unstable
Urgency: low
Maintainer: Georg Neis <georg@fli4l.de>
Changed-By: Georg Neis <georg@fli4l.de>
Description: 
 elvis      - a very powerful clone of the vi/ex text editor
Closes: 121303 192673
Changes: 
 elvis (2.2j-1) unstable; urgency=low
 .
   * New maintainer (Closes: #192673)
   * Newest upstream release: 2.2j
   * debian/copyright: License changed from 'The Artistic License' to
     'The Clarified Artistic License'
   * debian/elvisnox: Use the new environment variable ELVISGUI
   * debian/elvis_*.xpm: Icons for the menu
   * The package now includes a sample configuration file
   * elvistrs.msg, elvis.lat and elvis.pc8 are no longer conffiles; they are
     moved to /usr/share/elvis
   * Renamed ref-elvis to elvref
   * Changed priority of alternative "editor" to 90 (Closes: #121303)
Files: 
 61be28dae7a260cdac5de109cb0a157f 603 editors optional elvis_2.2j-1.dsc
 6dd702515d54dbdc92619d3719b1eadf 1596684 editors optional elvis_2.2j.orig.tar.gz
 bc833f12452add5ca4d890deab692cae 33141 editors optional elvis_2.2j-1.diff.gz
 e861856adaaab8b27cfed265023435c8 1016070 editors optional elvis_2.2j-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFACsdgELuA/Ba9d8YRAmppAKCUW1lD6gML5/fOSaTw17LgSlYlNgCgzUoS
g92ii6YzVK4fdavHErNso3g=
=GBJW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:55:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.